/*
 * $RCSfile: NativeSharedMemory.cc,v $
 * $Revision: 1.4 $
 *
 * Comments:
 *
 * (C) Copyright ParaSoft Corporation 1996.  All rights reserved.
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Author: franczak $          $Locker:  $
 * $Date: 2008-03-26 13:08:20 $
 * $Log: not supported by cvs2svn $
 * Revision 1.3  2007/02/02 15:28:19  mali
 * native suffix added to native methods
 *
 * Revision 1.2  2005/11/29 14:40:01  mlyko
 * Include from solaris directory for solaris arch.
 *
 * Revision 1.1  2005/08/09 07:52:44  mlyko
 * Original source code.
 *
 *
 */

#include "Common.h" 
#include <jni.h>
#include "NativeSharedMemory.h"

#include "SharedMemory.h"

SharedMemory sm;

JNIEXPORT jboolean JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemory_createHandleNative
  (JNIEnv * env, jobject obj)
{
    return (jboolean)sm.createHandle(env, obj);
}

JNIEXPORT jboolean JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemory_getHandleNative
  (JNIEnv * env, jobject obj)
{
    return (jboolean)sm.getHandle(env, obj);
}

JNIEXPORT jboolean JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemory_unlockSharedMemoryNative
  (JNIEnv * env, jobject obj)
{
    return (jboolean)sm.unlockSharedMemory();
}

JNIEXPORT jboolean JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemory_setByteArrayNative
  (JNIEnv * env, jobject obj, jbyteArray byteArray)
{
    return (jboolean)sm.setByteArray(env, obj, byteArray);
}

JNIEXPORT jboolean JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemory_getByteArrayNative
  (JNIEnv * env, jobject obj, jbyteArray byteArray)
{
    return sm.getByteArray(env, obj, byteArray);
}

JNIEXPORT jint JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemeory_getErrorCodeNative
  (JNIEnv* env, jclass clazz)
{
    return sm.getErrorDescription().getErrorCode();
}

JNIEXPORT jstring JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemeory_getErrorSourceNative
  (JNIEnv* env, jclass clazz)
{
    return env->NewStringUTF(sm.getErrorDescription().getErrorSource());
}

JNIEXPORT jstring JNICALL Java_com_parasoft_xtest_common_nativecode_NativeSharedMemeory_getErrorMessageNative
  (JNIEnv* env, jclass clazz)
{
    return env->NewStringUTF(sm.getErrorDescription().getErrorMessage());
}

